summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-07-22 10:34:18 +0200
committerHolger Levsen <holger@layer-acht.org>2015-07-22 10:34:18 +0200
commit9309817ea967c5d87deb9cc639215d092a3d89de (patch)
treeabd12cc4ca7c6a17c4f6ddac7fed53fc58d90aa9
parentf53d5f6a40d6f547eadc0cb3505a64840691ad73 (diff)
downloadjenkins.debian.net-9309817ea967c5d87deb9cc639215d092a3d89de.tar.xz
reproducible: only notify about reproducible -> ftbfs status changes in testing, as they happen to frequently in unstable
-rwxr-xr-xbin/reproducible_build.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index f054aa15..7ee72822 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -123,7 +123,7 @@ update_db_and_html() {
local OLD_STATUS=$(sqlite3 -init $INIT ${PACKAGES_DB} "SELECT status FROM results WHERE package_id='${SRCPKGID}'")
# notification for changing status
if [ "${OLD_STATUS}" = "reproducible" ] ; then
- if [ "$STATUS" = "unreproducible" ] || [ "$STATUS" = "FTBFS" ] ; then
+ if [ "$STATUS" = "unreproducible" ] || ( [ "$STATUS" = "FTBFS" ] && [ "$SUITE" = "testing" ] ) ; then
MESSAGE="${REPRODUCIBLE_URL}/${SUITE}/${ARCH}/${SRCPACKAGE} : reproducible ➤ ${STATUS}"
echo "\n$MESSAGE" | tee -a ${RBUILDLOG}
irc_message "$MESSAGE"